Bug 83543 - (bcm5700) bcm5700 module missing from kernel 2.4.18-24.7.x
bcm5700 module missing from kernel 2.4.18-24.7.x
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-05 10:26 EST by Götz Waschk
Modified: 2007-04-18 12:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-06 09:08:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff between original RedHat 7.3 hwdata and the version from Dell (6.79 KB, patch)
2003-02-06 02:54 EST, Götz Waschk
no flags Details | Diff

  None (edit)
Description Götz Waschk 2003-02-05 10:26:22 EST
Description of problem:

The latest update kernel is missing the bcm5700 module.


Version-Release number of selected component (if applicable):
kernel-2.4.18-24.7.x

How reproducible:
[root@bastelra root]# rpm -ql kernel-2.4.18-24.7.x|fgrep bcm5700
[root@bastelra root]# rpm -ql kernel-2.4.18-18.7.x|fgrep bcm5700
/lib/modules/2.4.18-18.7.x/kernel/drivers/addon/bcm5700
/lib/modules/2.4.18-18.7.x/kernel/drivers/addon/bcm5700/bcm5700.o

Additional info:
The older security update kernel 2.4.18-17.7x contains the module but it's
missing from 2.4.18-24.7x in both single processor and smp version.
Comment 1 Arjan van de Ven 2003-02-05 10:58:14 EST
This is intentional. The bcm5700 driver is superceded by the tg3 driver for the
last few kernel errata already. Installing the kernel will have made sure that
your settings are adjusted to use tg3 in the relevant configuration file.
Comment 2 Götz Waschk 2003-02-05 11:08:44 EST
Yes, the %post script calls /usr/sbin/module_upgrade

/usr/share/hwdata/upgradelist contains this:
bcm5700		NETWORK tg3
but in /etc/modules.conf there's still:
alias eth0 bcm5700
alias eth1 bcm5700

Calling /usr/sbin/module_upgrade by hand doesn't fix this.
Comment 3 Bill Nottingham 2003-02-05 12:58:18 EST
lspci output?
Comment 4 Götz Waschk 2003-02-05 13:02:46 EST
[root@bastelra root]# lspci
00:00.0 Host bridge: ServerWorks: Unknown device 0012 (rev 13)
00:00.1 Host bridge: ServerWorks: Unknown device 0012
00:00.2 Host bridge: ServerWorks: Unknown device 0000
00:04.0 Class ff00: Dell Computer Corporation Embedded Systems Management Device 4
00:04.1 Class ff00: Dell Computer Corporation PowerEdge Expandable RAID
Controller 3/Di
00:04.2 Class 0c07: Dell Computer Corporation: Unknown device 000d
00:0e.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
00:0f.0 Host bridge: ServerWorks CSB5 South Bridge (rev 93)
00:0f.1 IDE interface: ServerWorks CSB5 IDE Controller (rev 93)
00:0f.2 USB Controller: ServerWorks OSB4/CSB5 USB Controller (rev 05)
00:0f.3 ISA bridge: ServerWorks: Unknown device 0225
00:10.0 Host bridge: ServerWorks: Unknown device 0101 (rev 03)
00:10.2 Host bridge: ServerWorks: Unknown device 0101 (rev 03)
00:11.0 Host bridge: ServerWorks: Unknown device 0101 (rev 03)
00:11.2 Host bridge: ServerWorks: Unknown device 0101 (rev 03)
03:06.0 Ethernet controller: BROADCOM Corporation NetXtreme BCM5701 Gigabit
Ethernet (rev 15)
03:08.0 Ethernet controller: BROADCOM Corporation NetXtreme BCM5701 Gigabit
Ethernet (rev 15)
04:08.0 PCI bridge: Intel Corp.: Unknown device 0309 (rev 01)
04:08.1 RAID bus controller: Dell Computer Corporation PowerEdge Expandable RAID
Controller 3/Di (rev 01)
05:06.0 SCSI storage controller: Adaptec RAID subsystem HBA (rev 01)
05:06.1 SCSI storage controller: Adaptec RAID subsystem HBA (rev 01)


It's a Dell PE 2650 server. BTW the hwdata package was modified somehow by Dell:
[root@bastelra root]# rpm -V hwdata-0.14-1
S.5....T c /usr/share/hwdata/pci.ids
S.5....T c /usr/share/hwdata/pcitable
Comment 5 Bill Nottingham 2003-02-05 13:05:23 EST
If Dell changed the default mapping in the PCI table to bcm5700, module_upgrade
won't change it to tg3, as it checks to see that the card actually will map to
tg3 before changing the modules.conf entry.
Comment 6 Götz Waschk 2003-02-05 13:14:09 EST
As mentioned above, the mapping in /usr/share/hwdata/upgradelist are intact,
only pcitable and pci.ids were changed.

I could post the diff between Dell's hwdata-0.14-1 and the original version.
Comment 7 Bill Nottingham 2003-02-05 14:18:45 EST
Sure.

The differences in the pcitable *do* matter, as that's what kudzu would use to
determine which cards map to tg3.
Comment 8 Götz Waschk 2003-02-06 02:54:15 EST
Created attachment 89881 [details]
diff between original RedHat 7.3 hwdata and the version from Dell
Comment 9 Michael K. Johnson 2003-02-06 09:08:02 EST
Thank you for posting that; Dell mangling the hwdata files has definitely
caused this problem.

You clearly know all the many possible ways to fix this problem without my
help, but for other Dell customers seeing the same problem and viewing this
bug report, I'll be explicit: I suggest using rpm -Uvh --force to re-install
the hwdata package from CDs and thus remove Dell's modification, or simply
update to the latest hwdata package; for Red Hat Linux 7.3 that's
hwdata-0.14.1-1.noarch.rpm; for Red Hat Linux 8.0 that's
hwdata-0.48-1.noarch.rpm

So for those temporarily without a network connection due to Dell's changes,
I think that the simplest steps, assuming that you are registered on Red Hat
Network and that you have a tg3-driven card as eth0, is to run, as root:
modprobe tg3
ifup eth0
up2date hwdata
/usr/sbin/module_upgrade

I don't have the setup to test that, but I think it will work.  You could
also reboot into the older kernel that still has bcm5700 and then run
up2date hwdata
/usr/sbin/module_upgrade

In any case, you can edit /etc/modules.conf and change "bcm5700" to "tg3"

The Red Hat Linux 7.3 update to hwdata is available via FTP at
ftp://ftp.redhat.com/pub/redhat/linux/updates/7.3/en/os/noarch/hwdata-0.14.1-1.noarch.rpm

Similarly, for Red Hat Linux 8.0 the latest update to hwdata is at
ftp://ftp.redhat.com/pub/redhat/linux/updates/8.0/en/os/noarch/hwdata-0.48-1.noarch.rpm

I am closing this as "NOTABUG" with some trepidation; it really is a bug,
but it's a bug in the way Dell set up the system rather than in Red Hat Linux
per se, so I really mean that it is "NOTOURBUG" -- we just don't have a
"NOTOURBUG" resolution.
Comment 10 Götz Waschk 2003-02-06 09:16:37 EST
Thanks. I've tested the procedure and it gave the desired result.
Comment 11 Christian Hechelmann 2003-03-03 12:47:56 EST
Too bad tg3 dies on a IBM xSeries 335 (lspci follows) :-/ The machine is a
IBM xSeries 335-41X (2GHz P4 Xeon, 512MB RAM, MPT Fusion RAID-1, dual 18.2GB
HDs, dual onboard Broadcom NetXtreme 5703X 10/100/1000 NICs) with an
additional Adaptec Starfire 4 Port 10/100 NIC, running the SMP Kernel since
the Xeons do Hyperthreading. This happend after an Update from -18.7.x to
-24.7.x. Haven't had this with the bcm5700 module. Will check if this happens 
all the time.

dmesg snipplet:

tg3.c:v1.2a (Dec 9, 2002)
divert: allocating divert_blk for eth0
eth0: Tigon3 [partno(BCM95703A30) rev 1002 PHY(5703)] (PCIX:100MHz:64-bit) 
10/100/1000BaseT Ethernet 00:02:55:67:80:fb
tg3: DMA engine test failed, aborting.
divert: freeing divert_blk for eth0
tg3.c:v1.2a (Dec 9, 2002)
tg3: DMA engine test failed, aborting.
tg3: DMA engine test failed, aborting.
DMA memory shortage. Temporarily falling back on virtual DMA
vfree(): sleeping in interrupt!! 
dffe9eac c027ece0 ffffffff 00000000 c01cf783 e08e4000 00004000 00000001 
       00000000 c01c954d 00000001 000c1c00 c045c000 c01c9850 00000080 00000000 
       c01c9874 00000000 ffffffef 00000000 c012636b 00000000 dffe9f0c 00200086 
Call Trace: [<c01cf783>] floppy_release_irq_and_dma [kernel] 0xe3 (0xdffe9ebc))
[<c01c954d>] set_dor [kernel] 0x18d (0xdffe9ed0))
[<c01c9850>] motor_off_callback [kernel] 0x0 (0xdffe9ee0))
[<c01c9874>] motor_off_callback [kernel] 0x24 (0xdffe9eec))
[<c012636b>] timer_bh [kernel] 0x29b (0xdffe9efc))
[<c012257b>] bh_action [kernel] 0x4b (0xdffe9f24))
[<c0122421>] tasklet_hi_action [kernel] 0x61 (0xdffe9f2c))
[<c01221ab>] do_softirq [kernel] 0x6b (0xdffe9f44))
[<c010a8b0>] do_IRQ [kernel] 0x100 (0xdffe9f60))
[<c0106e60>] default_idle [kernel] 0x0 (0xdffe9f68))
[<c0106e60>] default_idle [kernel] 0x0 (0xdffe9f74))
[<c010d078>] call_do_IRQ [kernel] 0x5 (0xdffe9f78))
[<c0106e60>] default_idle [kernel] 0x0 (0xdffe9f7c))
[<c0106e60>] default_idle [kernel] 0x0 (0xdffe9f90))
[<c0106e89>] default_idle [kernel] 0x29 (0xdffe9fa4))
[<c0106f02>] cpu_idle [kernel] 0x32 (0xdffe9fb0))
[<c011dadb>] call_console_drivers [kernel] 0xeb (0xdffe9fd0))
[<c011dc89>] printk [kernel] 0x129 (0xdffe9ffc))

Output of lspci -v for the OnBoard NICs:

03:01.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5703X Gigabit 
Ethernet (rev 02)
	Subsystem: IBM: Unknown device 026f
	Flags: 66Mhz, medium devsel, IRQ 24
	Memory at f8ff0000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: [40] PCI-X non-bridge device.
	Capabilities: [48] Power Management version 2
	Capabilities: [50] Vital Product Data
	Capabilities: [58] Message Signalled Interrupts: 64bit+ Queue=0/3 
Enable-

03:02.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5703X Gigabit 
Ethernet (rev 02)
	Subsystem: IBM: Unknown device 026f
	Flags: 66Mhz, medium devsel, IRQ 25
	Memory at f8fe0000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: [40] PCI-X non-bridge device.
	Capabilities: [48] Power Management version 2
	Capabilities: [50] Vital Product Data
	Capabilities: [58] Message Signalled Interrupts: 64bit+ Queue=0/3 
Enable-



Note You need to log in before you can comment on or make changes to this bug.